## EXPORT_SPEC int ixmlDocument_createDocumentEx

## (IXML_Document** doc )

> Creates a new empty Document node.

## Documentation

> Creates a new empty Document node. The ixmlDocument_createDocumentEx API differs from the ixmlDocument_createDocument API in that it returns an error code describing the reason for the failure rather than just `NULL`.

Parameters:
  doc - Pointer to a Document where the new object will be stored.
Returns:
  [int] An integer representing one of the following:
  - `IXML_SUCCESS`: The operation completed successfully.
  - `IXML_INSUFFICIENT_MEMORY`: Not enough free memory exists to complete this operation.

Alphabetic index

This page was generated with the help of DOC++.